<common-header></common-header>
<div class="new_login_form">
	<div class="container">
		<div class="row" ng-if="!$ctrl.success">
			<div class="col-12 col-md-7 col-lg-8 order-2 order-md-1">
        <div class="bm-label-36 dark-grey-blue mt-5 pt-3 mb-4">
            <p class="h1 dark-grey-blue mb-3">
                <b>Doctor Portal</b>
            </p>
            <div class="border-bottom"></div>
        </div>
        <div class="d-flex flex-column notice_container">
			<div class="ml-4">
				<p class="h4 dark-grey-blue mb-3"><b>Notice</b></p>
			</div>
          <div class="d-flex flex-row mt-4">
              <div class="ml-4">
                  <h5>For all Gribbles eresults users, click the "Login" button to login into the platform.</h5>
              </div>
          </div>
          <div class="d-flex flex-row mt-4">
              <div class="ml-4">
                  <h5>For Gribbles non eresults users, drop us an email or fill up the details and click the "Submit Request" to request access to the platform.</h5>
              </div>
          </div>
        </div>
      </div>
			<div class="col-12 col-md-5 col-lg-4 order-1 order-md-2">
				<div class="login_wrapper">
					<h4>Create an Account</h4>
					<div class="warning_message">For Doctors and Healthcare Professionals Only</div>
					<br>
					<form name="regForm" ng-submit="$ctrl.register( $ctrl.data )">
						<div class="form-group">
							<label class="labelnormalmedium">Clinic Name</label>
							<input type="text" class="form-control" style="text-transform: capitalize;"
								ng-class="{'is-invalid':$ctrl.fields.clinic_name}" ng-model="$ctrl.data.clinic_name"
								maxlength="50" />
							<div class="invalid-feedback">Please enter valid clinic name. Must be 5-50 alphanumeric
								characters.</div>
						</div>
						<div class="form-group">
							<label class="labelnormalmedium">Clinic Address</label>
							<textarea style="text-transform: capitalize;" class="form-control" rows="2"
								ng-model="$ctrl.data.clinic_address"
								ng-class="{'is-invalid':$ctrl.fields.clinic_address}" maxlength="80"></textarea>
							<div class="invalid-feedback">Please enter valid clinic address. Must be 5-80 characters.
							</div>
						</div>
						<div class="form-group">
							<label class="labelnormalmedium">Doctor Name</label>
							<input style="text-transform: capitalize;" type="text" class="form-control"
								ng-class="{'is-invalid':$ctrl.fields.doctor_name}" ng-model="$ctrl.data.doctor_name"
								maxlength="50" />
							<div class="invalid-feedback"> Please enter valid doctor name. Must be 5-50 alphanumeric
								characters.</div>
						</div>
						<div class="form-group">
							<label class="labelnormalmedium">MMC Number</label> <span class="labelnormalmedium" style="color: #8493ae;"> (if applicable)</span>
							<input type="text" style="text-transform:uppercase;"
            		numbers-only
								class="form-control"
								ng-model="$ctrl.data.mmc_code"
								ng-class="{'is-invalid':$ctrl.fields.mmc_code}"
								maxlength="5" />
							<div class="invalid-feedback"> Please enter valid code.</div>
						</div>
						<div class="form-group">
							<label class="labelnormalmedium">Email Address</label>
							<input type="email" class="form-control"
								ng-class="{'is-invalid':$ctrl.fields.email_address}"
								ng-model="$ctrl.data.email_address" />
							<div class="invalid-feedback"> Please enter valid email address.</div>
						</div>
						<div class="form-group">
							<label class="labelnormalmedium">Contact Number</label>
							<biomark-mobile country="1" mobile="$ctrl.data.temp_number" invalid="$ctrl.fields.temp_number"></biomark-mobile>
						</div>
						<div class="text-center">
							<button type="submit" class="btn btn-danger biomark-btn-primary" style="margin-bottom: 16px;">Submit Request</button>
						</div>
						<div class="form-group">
							<p style="font-size: 12px;">Need help?<br>Contact us at <a href="mailto:doctors-my@biomarking.com">doctors-my@biomarking.com</a></p>
						</div>
						<div class="bm-label-10 bluey-grey text-center pb-2 ng-binding">BM 2.1.0</div>
					</form>
				</div>
			</div>
		</div>
		<div class="row" ng-if="$ctrl.success">
			<div class="col-12">
				<div class="biomark-modal">
					<div class="modal_container small">
						<div class="text-center py-4">
							<i class="fa fa-check-circle fa-4x green"></i>
						</div>
						<div class="bio-caption-24 px-3 pt-3 text-center">
							<b>Request Sent!</b>
						</div>
						<div class="px-3 bio-caption-12 bluey-gray text-center">The BioMark representative will be in
							contact with you shortly to verify your account.</div>
						<div class="d-flex flex-row justify-content-center px-3 py-4 align-items-center">
							<div>
								<button class="btn btn-danger biomark-btn-primary" ui-sref="login">Back</button>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- <common-footer></common-footer> -->
</div>